
# Class: ProductInformationOption

## Hierarchy

* **ProductInformationOption**

  ↳ [IOption](../interfaces/ioption.md)

## Index

### Constructors

* [constructor](productinformationoption.md#constructor)

### Properties

* [appearanceDataItems](productinformationoption.md#optional-appearancedataitems)
* [description](productinformationoption.md#optional-description)
* [id](productinformationoption.md#id)
* [image](productinformationoption.md#optional-image)
* [isMultiSelect](productinformationoption.md#ismultiselect)
* [name](productinformationoption.md#name)
* [selected](productinformationoption.md#selected)
* [tooltip](productinformationoption.md#optional-tooltip)
* [type](productinformationoption.md#optional-type)
* [values](productinformationoption.md#values)

## Constructors

###  constructor

\+ **new ProductInformationOption**(`dtoOption?`: ProductOptionDto): *[ProductInformationOption](productinformationoption.md)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoOption?` | ProductOptionDto |

**Returns:** *[ProductInformationOption](productinformationoption.md)*

## Properties

### `Optional` appearanceDataItems

• **appearanceDataItems**? : *AppearanceDataItemDto[] | null*

___

### `Optional` description

• **description**? : *string | null*

___

###  id

• **id**: *number*

___

### `Optional` image

• **image**? : *ImageInfo*

___

###  isMultiSelect

• **isMultiSelect**: *boolean*

___

###  name

• **name**: *string*

___

###  selected

• **selected**: *[ProductInformationOptionValue](productinformationoptionvalue.md) | [ProductInformationOptionValue](productinformationoptionvalue.md)[]*

___

### `Optional` tooltip

• **tooltip**? : *string | null*

___

### `Optional` type

• **type**? : *[IMetadataType](../README.md#imetadatatype)*

___

###  values

• **values**: *[ProductInformationOptionValue](productinformationoptionvalue.md)[]* =  []
